# FtcEventsClient::ScoreDetailModelAlliance2019

## Properties

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **alliance** | **String** |  | [optional] |
| **robot1_navigated** | **Boolean** |  | [optional] |
| **robot1_parked** | **Boolean** |  | [optional] |
| **robot1_capstone_level** | **Integer** |  | [optional] |
| **robot2_navigated** | **Boolean** |  | [optional] |
| **robot2_parked** | **Boolean** |  | [optional] |
| **robot2_capstone_level** | **Integer** |  | [optional] |
| **auto_stones** | [**Array&lt;Stone&gt;**](Stone.md) |  | [optional] |
| **auto_delivered** | **Integer** |  | [optional] |
| **auto_returned** | **Integer** |  | [optional] |
| **first_returned_is_skystone** | **Boolean** |  | [optional] |
| **auto_placed** | **Integer** |  | [optional] |
| **foundation_repositioned** | **Boolean** |  | [optional] |
| **foundation_moved** | **Boolean** |  | [optional] |
| **driver_controlled_delivered** | **Integer** |  | [optional] |
| **driver_controlled_returned** | **Integer** |  | [optional] |
| **driver_controlled_placed** | **Integer** |  | [optional] |
| **tallest_skyscraper** | **Integer** |  | [optional] |
| **auto_delivery_points** | **Integer** |  | [optional] |
| **auto_placed_points** | **Integer** |  | [optional] |
| **autonomous_points** | **Integer** |  | [optional] |
| **repositioned_points** | **Integer** |  | [optional] |
| **navigation_points** | **Integer** |  | [optional] |
| **driver_controlled_delivery_points** | **Integer** |  | [optional] |
| **driver_controlled_placed_points** | **Integer** |  | [optional] |
| **skyscraper_bonus_points** | **Integer** |  | [optional] |
| **capstone_points** | **Integer** |  | [optional] |
| **driver_controlled_points** | **Integer** |  | [optional] |
| **parking_points** | **Integer** |  | [optional] |
| **end_game_points** | **Integer** |  | [optional] |
| **minor_penalties** | **Integer** |  | [optional] |
| **major_penalties** | **Integer** |  | [optional] |
| **penalty_points** | **Integer** |  | [optional] |
| **total_points** | **Integer** |  | [optional] |

## Code Sample

```ruby
require 'ftc_events_client'

instance = FtcEventsClient::ScoreDetailModelAlliance2019.new(
  alliance: null,
  robot1_navigated: null,
  robot1_parked: null,
  robot1_capstone_level: null,
  robot2_navigated: null,
  robot2_parked: null,
  robot2_capstone_level: null,
  auto_stones: null,
  auto_delivered: null,
  auto_returned: null,
  first_returned_is_skystone: null,
  auto_placed: null,
  foundation_repositioned: null,
  foundation_moved: null,
  driver_controlled_delivered: null,
  driver_controlled_returned: null,
  driver_controlled_placed: null,
  tallest_skyscraper: null,
  auto_delivery_points: null,
  auto_placed_points: null,
  autonomous_points: null,
  repositioned_points: null,
  navigation_points: null,
  driver_controlled_delivery_points: null,
  driver_controlled_placed_points: null,
  skyscraper_bonus_points: null,
  capstone_points: null,
  driver_controlled_points: null,
  parking_points: null,
  end_game_points: null,
  minor_penalties: null,
  major_penalties: null,
  penalty_points: null,
  total_points: null
)
```

